aboutsummaryrefslogtreecommitdiffstats
path: root/debian/plptools.init
diff options
context:
space:
mode:
Diffstat (limited to 'debian/plptools.init')
-rw-r--r--debian/plptools.init113
1 files changed, 113 insertions, 0 deletions
diff --git a/debian/plptools.init b/debian/plptools.init
new file mode 100644
index 0000000..a0a1845
--- /dev/null
+++ b/debian/plptools.init
@@ -0,0 +1,113 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: plptools
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: start or stop the plptools daemons
+### END INIT INFO
+
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON1=/usr/sbin/ncpd
+DAEMON2=/usr/sbin/plpfuse
+DAEMON3=/usr/sbin/plpprintd
+NAME=plptools
+DESC=plptools
+CONFIG=/etc/default/plptools
+MOUNTPOINT=/var/lib/plptools/mnt
+
+test -x $DAEMON1 || exit 0
+test -x $DAEMON2 || exit 0
+test -x $DAEMON3 || exit 0
+test -f $CONFIG && . $CONFIG || exit 0
+
+set -e
+
+case "$1" in
+ start)
+ if test "$START_NCPD" = "yes" ; then
+ echo -n "Starting $DESC ($DAEMON1): "
+ start-stop-daemon --start --quiet \
+ --exec $DAEMON1 -- $NCPD_ARGS && \
+ echo -n "done" || echo -n "failed"
+ echo "."
+ sleep 1
+ fi
+ if test "$START_PLPFUSE" = "yes" ; then
+ echo -n "Starting $DESC ($DAEMON2): "
+ start-stop-daemon --start --quiet \
+ --exec $DAEMON2 -- $PLPFUSE_ARGS $MOUNTPOINT && \
+ echo -n "done" || echo -n "failed"
+ echo "."
+ fi
+ if test "$START_PLPPRINTD" = "yes" ; then
+ echo -n "Starting $DESC ($DAEMON3): "
+ start-stop-daemon --start --quiet \
+ --exec $DAEMON3 -- $PLPPRINTD_ARGS && \
+ echo -n "done" || echo -n "failed"
+ echo "."
+ fi
+ ;;
+ stop)
+ if test "$START_PLPFUSE" = "yes" ; then
+ echo -n "Stopping $DESC ($DAEMON2): "
+ if [ "$(uname)" = Linux ]; then
+ fusermount -z -u $MOUNTPOINT || true
+ elif [ "$(uname)" = GNU/kFreeBSD ]; then
+ umount $MOUNTPOINT || true
+ else
+ echo "Port me" >&2
+ exit 1
+ fi
+ start-stop-daemon --stop --retry HUP/5/TERM/1 --quiet \
+ --exec $DAEMON2 && \
+ echo -n "done" || echo -n "already stopped"
+ echo "."
+ fi
+ if test "$START_PLPPRINTD" = "yes" ; then
+ echo -n "Stopping $DESC ($DAEMON3): "
+ start-stop-daemon --stop --quiet --exec $DAEMON3 && \
+ echo -n "done" || echo -n "already stopped"
+ echo "."
+ fi
+ if test "$START_NCPD" = "yes" ; then
+ echo -n "Stopping $DESC ($DAEMON1): "
+ start-stop-daemon --stop --quiet --exec $DAEMON1 && \
+ echo -n "done" || echo -n "already stopped"
+ echo "."
+ fi
+
+ ;;
+ #reload)
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # echo "Reloading $DESC configuration files."
+ # start-stop-daemon --stop --signal 1 --quiet --pidfile \
+ # /var/run/$NAME.pid --exec $DAEMON
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ # echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0